echo off
rem Lanseaza procedura upgrade in regim multisocietate
rem Vor fi parcurse toate bazele de date si se lanseaza
rem procedura upgrade in mod silentios
rem ------------------------------------------------------------
rem Parametri: 1.-aplicatia
rem            2.-cod aplicatie
rem

if "%OS%"=="Windows_NT" color 30
cls
echo.
echo Upgrade hSALAR in regim multisocietate
echo ***********************************************************
echo.

if "%1" == "" goto read_path
set sbd=%1
goto test_exista

:read_path
if "%OS%"=="Windows_NT" goto read_pathNT
goto mesaj

:read_pathNT
rem parametrul nu a fost transmis
rem se citeste interactiv
set sbd=
echo.
set /p sbd=Baza de date hSALAR: 
if "%sbd%"=="" goto mesaj
echo.

:test_exista
if exist %sbd%\FILES.DBF goto cont
if "%OS%"=="Windows_NT" color 40
echo.
echo.
echo ***************************************************************
echo.
echo      EROARE!:  %sbd% nu este o baza de date de tip hMET !
echo.
goto sf

:cont
rem seteaza modul silentios
SET LMODSILENTIOS=DA

rem lanseaza scriptul pentru executia in regim multisocietate
hmet2up %sbd% S TMP\TMPS\FMULTIS.TXT 
goto sf

:mesaj
if "%OS%"=="Windows_NT" color 20
cls
echo.
echo Upgrade hSALAR in regim multisocietate
echo ***********************************************************
echo.
echo Lansare:
echo 1.mod interactiv (Windows NT): 
echo   HMET2UPS
echo.
echo 2.mod comanda: 
echo   HMET2UPS dbf
echo   unde dbf -o baza de date hSALAR
echo.

:sf
echo  Apasati o tasta pentru continuare ! ...
pause >nul

echo on
